chef-clien で rubygems/format (LoadError) が起きる

症状

$ chef-client
/usr/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:45:in `gem_original_require': no such file to load -- rubygems/format (LoadError)
        from /usr/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:45:in `require'
        from /usr/lib64/ruby/gems/1.8/gems/chef-11.4.4/bin/../lib/chef/provider/package/rubygems.rb:34
        from /usr/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:45:in `gem_original_require'
        from /usr/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:45:in `require'
        from /usr/lib64/ruby/gems/1.8/gems/chef-11.4.4/bin/../lib/chef/providers.rb:60
        from /usr/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:45:in `gem_original_require'
        from /usr/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:45:in `require'
        from /usr/lib64/ruby/gems/1.8/gems/chef-11.4.4/bin/../lib/chef.rb:25
        from /usr/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:45:in `gem_original_require'
        from /usr/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:45:in `require'
        from /usr/lib64/ruby/gems/1.8/gems/chef-11.4.4/bin/chef-client:23
        from /usr/bin/chef-client:23:in `load'
        from /usr/bin/chef-client:23

対処

gem update --system 1.8.25

コメント

このブログの人気の投稿

pip install mojimoji failed

Windows Server 2008 R2 & PHP 5.6(64bit)